Upgraded to Leopard at the weekend on 2 machines:
1) iMac G5 - via Erase and install
2) MacBook - via Archive and install

Since that point I've been having a problem with Software update. It allowed me to download the new version of iTunes and Quick Time but won't let me download
Garage Band Update 3.0.5
Login and Keychain Update 1.0

The error message is

None of the checked updated could be installed
You do not have appropriate access privileges

I'm doing it from my account - which is definitely an administrator. I've also created a new Administrator account and tried it from there with the same results.

Anyone any ideas how to get round it?